Bug 11517 - REGRESSION: Flash clicks/interactivity not working properly (r17582+)
Summary: REGRESSION: Flash clicks/interactivity not working properly (r17582+)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 420+
Hardware: Macintosh PowerPC OS X 10.4
: P1 Major
Assignee: Alexey Proskuryakov
URL: http://www.kevinvandam.com/
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-11-04 07:33 PST by Kevin M. Dean
Modified: 2006-11-06 00:51 PST (History)
3 users (show)

See Also:


Attachments
proposed fix (10.42 KB, patch)
2006-11-05 14:23 PST, Alexey Proskuryakov
mjs: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin M. Dean 2006-11-04 07:33:14 PST
When using the menu at the top, clicking on the link no longer works. Similarly, on myspace.com when viewing a user page that has the music player on it, clicking the pause button no longer works.

So, it seems that somethings up with webkit and flash. Works fine in Safari and earlier versions of webkit. (r17566 works).
Comment 1 Alexey Proskuryakov 2006-11-04 13:55:42 PST
Hmm, I wonder if I broke this when fixing bug 7323. It seems that Flash gets an initial mousedown, but further event handling doesn't work.
Comment 2 Chris Petersen 2006-11-05 10:14:02 PST
Yep, I ran into this issue too. Regression occured between r17567 - r17582.
Comment 3 Chris Petersen 2006-11-05 10:52:19 PST
This is also filed as <rdar://problem/4820462> 
Comment 4 Alexey Proskuryakov 2006-11-05 14:23:01 PST
Created attachment 11388 [details]
proposed fix
Comment 5 Maciej Stachowiak 2006-11-05 19:24:53 PST
Comment on attachment 11388 [details]
proposed fix

r=me
Comment 6 Alexey Proskuryakov 2006-11-06 00:51:23 PST
Committed revision 17611.